<?php


namespace Schaffen\Core\Person\Models;


use Illuminate\Database\Eloquent\Model;
use Schaffen\Core\Person\Traits\HasPerson;

class Employee extends Model
{
    use HasPerson;

    const CREATED_AT = "fun_date_insert";
    const CREATED_BY = "fun_user_insert";
    const UPDATED_AT = "fun_date_update";
    const UPDATED_BY = "fun_user_update";
    protected $prefix = 'fun';
    protected $connection = 'dynamicdb';
    protected $table = "cadastro.funcionario";
    protected $primaryKey = "fun_codigo";
    protected $fillable = [
        "fun_fk_pes_codigo",
        "fun_fk_fil_codigo",
        "fun_salario",
        "fun_salario_familia",
        "fun_inss",
        "fun_observacao",
        "fun_comissao",
        "fun_fk_pcg_codigo_sal",
        "fun_fk_pcg_codigo_sal_fam",
        "fun_fk_pcg_codigo_inss",
        "fun_fk_pcg_codigo_comissao",
        "fun_fk_org_codigo",
        "fun_ramal",
        "fun_fk_pes_codigo_sup",
        "fun_gerente_depto",
        "fun_fun_nivel",
        "fun_fk_ccu_codigo",
        "fun_fk_pcg_codigo_caixa",
        "fun_comissao_venda",
        "fun_add_producao",
        "fun_comissao_servico",
        "fun_comissao_venda_final",
        "fun_comissao_servico_final",
        "fun_bloqueado",
    ];
}